#ifndef __cc3000_spi_h
#define __cc3000_spi_h

#include "pic_utils.h"
#include "config.h"

#if cc3000_spi_port == 1
	#include "spi_hw.h"
		#define cc3000_spi_setup_io()	spi_hw_setup_io()
		#define cc3000_spi_hw_init()    spi_hw_init()
		#define cc3000_spi_send(x) spi_hw_master_transmit(x)
		#define cc3000_spi_recv()	spi_hw_master_receive()
#else
	#if cc3000_spi_port == 2
		#include "spi2_hw.h"
			#define cc3000_spi_hw_init()    spi2_hw_init()
			#define cc3000_spi_setup_io()	spi2_hw_setup_io()
			#define cc3000_spi_send(x) spi2_hw_master_transmit(x)
			#define cc3000_spi_recv()	spi2_hw_master_receive()
	#else
		#error cc3000_spi_port not defined
	#endif
#endif		



#define SPI_OPERATION_WRITE 0x01
#define SPI_OPERATION_READ  0x03


uns8 cc3000_spi_start_send(uns16 hci_length);
void cc3000_spi_finish_send(uns8 padding_byte_required);
uns16 cc3000_spi_receive();


#endif