#ifndef __config_h
#define __config_h
#include "platform.h"

// - - - - - - - - - - - - - - - - - - - - 
// pic_serial defines
// - - - - - - - - - - - - - - - - - - - - 

#define SERIAL_TX_BUFFER_SIZE 240
#define SERIAL_RX_BUFFER_SIZE 16

// Use this define if you want fine-grained control of what happens in the serial port
//#define SERIAL_DEBUG_ON

// Use this define if you are debugging in the IDE simulator and don't want it to hang
// waiting for serial interrupts that will never come...
//#define SERIAL_IDE_DEBUG

// Use thie define if you want to drop a character if the TX buffer is full,
// rather than the default behaviour, which is to wait until the TX buffer has
// a spare spot.
//#define SERIAL_DISCARD_ON_TX_FULL_DURING_INT

// - - - - - - - - - - - - - - - - - - - - 
// pic_term defines
// - - - - - - - - - - - - - - - - - - - - 

#define TERM_BUFFER_SIZE	10
// Reset (go to bootloader) if magic character received
#define TERM_ALLOW_BOOSTBLOADER
// Echo typing so user can see what they're doing
#define TERM_ECHO_INPUT

// - - - - - - - - - - - - - - - - - - - - 

// Create term_entry_callback in your own code
// void term_entry_callback(uns8 *term_buffer);

// - - - - - - - - - - - - - - - - - - - - 
// spi_hw defines
// - - - - - - - - - - - - - - - - - - - - 

#define SPI2_HW_MASTER_MODE
// or
//#define SPI2_HW_SLAVE_MODE

// In master mode, we need to define clock
//#define SPI2_HW_MASTER_CLOCK_TMR2_DIV_2
//#define SPI2_HW_MASTER_CLOCK_FOSC_DIV_64
#define SPI2_HW_MASTER_CLOCK_FOSC_DIV_16
//#define SPI2_HW_MASTER_CLOCK_FOSC_DIV_4


//#define SPI2_HW_CLK_IDLE_IS_HIGH
// or
#define SPI2_HW_CLK_IDLE_IS_LOW


//#define SPI2_HW_TRANSMIT_ON_ACT_TO_IDLE	
// or
#define SPI2_HW_TRANSMIT_ON_IDLE_TO_ACT


// cc3000

// interrupt (input)
#define cc3000_int_port PORTB
#define cc3000_int_pin  0

// Chip Select (output, active low)
#define cc3000_cs_port PORTB
#define cc3000_cs_pin  4

// En line

#define cc3000_en_port PORTC
#define cc3000_en_pin  4

#define cc3000_spi_port 2
// or 1

// - - - - - - - - - - - - - - - - - - - - 
// Debug defines
// - - - - - - - - - - - - - - - - - - - - 

#define debug_serial
//#define debug_on

//#define debug_high_on



// - - - - - - - - - - - - - - -
// General platform definitions
// - - - - - - - - - - - - - - -
#define PLATFORM_TYPE EA_PLT1001_V4
#define PLATFORM_CLOCK 64000000


#endif